Opened 11 years ago

Closed 9 years ago

#2118 closed enhancement (fixed)

Bash Upgrade

Reported by: emitrax Owned by: nobody
Priority: low Milestone: Unscheduled
Component: Applications/Command Line Tools Version:
Keywords: Cc: mdisreali@…
Blocked By: Blocking:
Has a Patch: no Platform: All

Description

Bash version in haiku is 2.05 while the current is 3.2.

It'd be nice an upgrade, since the 2.05 contains a few bugs like #2113.

Change History (6)

comment:1 Changed 11 years ago by emitrax

I managed to build bash-3.2 within Haiku and it seems to work fine, beside the termcap warning similar to the ftp one when running the binary.

Anyway, anyone aware of any test I can do before going further with the Jamfile?

comment:2 Changed 10 years ago by Disreali

Cc: mdisreali@… added

comment:3 Changed 10 years ago by Disreali

As bash-4.0 has been released, I would make that version the target.

comment:4 Changed 10 years ago by emitrax

IIRC the show stopper for this one was lack of wchar support, which should be in place now? Sorry but I've been very busy to follow everything.

Last night I wanted to test BFS with a few scripts, but ran into a few problems, like I ran out of memory and couldn't launch any other program from the shell. And I had to end it (the bash) and restart it. I didn't even bother to investigate as I'm sure its related to the version of bash.

comment:5 Changed 9 years ago by axeld

Owner: changed from axeld to nobody
Version: R1/pre-alpha1

comment:6 Changed 9 years ago by korli

Resolution: fixed
Status: newclosed

the upgrade is done. NLS isn't activated. I expect a few bugs due to this upgrade, though not blocking.

Note: See TracTickets for help on using tickets.